/*
 * Copyright (c) 2015 Marcus Lundblad
 *
 * GNOME Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * GNOME Radio is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with GNOME Radio; if not, see <http://www.gnu.org/licenses/>
 *
 * Author: Marcus Lundblad <ml@update.uu.se>
 */

#ifndef __RADIO_OSM_H__
#define __RADIO_OSM_H__

#include <glib.h>

#include "radio-osm-node.h"
#include "radio-osm-way.h"
#include "radio-osm-relation.h"

void radio_osm_init (void);
void radio_osm_finalize (void);

RadioOSMObject *radio_osm_parse (const char *content, guint length,
                               GError **error);

#endif
